1 Reply Latest reply on Feb 8, 2011 10:37 AM by joan_lafferty

    Do I need flash builder 4 to work with the flex sdk?

    cyuno

      Is it necessary to use flash builder 4 to work with the flex sdk?

       

      Can you build apps just using the open source flex sdk. If so are there tutorials and books on how to do so?

       

      Thanks in advance for your help.

        • 1. Re: Do I need flash builder 4 to work with the flex sdk?
          joan_lafferty Adobe Employee

          No, you don't need Flash Builder to use the Flex SDK. If you download the SDK and unzip it, you'll find a 'bin' directory that has the mxmlc compiler in it. You can compile Actionscript or MXML files using that.

           

          ./mxmlc MyFlexApp.mxml

           

          If you are building an AIR application, you will use amxmlc

           

          ./amxmlc MyAIRFlexApp.mxml

           

          Then, launch your AIR application using adl

           

          ./adl.exe MyAIRFlexApp-app.xml

           

          Hope this helps,

          Joan